
import 'package:kuebiko_client/src/caches/library_cache.dart';
import 'package:kuebiko_client/src/caches/series_cache.dart';
import 'package:kuebiko_client/src/kuebiko_http_client.dart';

class CacheController {
  late final LibraryCache _libraryCache;
  late final SeriesCache _seriesCache;
  final KuebikoHttpClient _httpClient;

  CacheController(this._httpClient){
    this._libraryCache = LibraryCache(this, _httpClient);
    this._seriesCache = SeriesCache(this, _httpClient);
  }

  LibraryCache getLibraryCache() => _libraryCache;

  SeriesCache getSeriesCache() => _seriesCache;
}